/* $Id: system.h,v 1.9 1998/12/04 21:34:25 becka Exp $
******************************************************************************

   KGI - OS dependent parts

   Copyright (C) 1997	Steffen Seeger	[seeger@ggi-project.org]

   Permission is hereby granted, free of charge, to any person obtaining a
   copy of this software and associated documentation files (the "Software"),
   to deal in the Software without restriction, including without limitation
   the rights to use, copy, modify, merge, publish, distribute, sublicense,
   and/or sell copies of the Software, and to permit persons to whom the
   Software is furnished to do so, subject to the following conditions:

   The above copyright notice and this permission notice shall be included in
   all copies or substantial portions of the Software.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
   IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
   THE AUTHOR(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
   IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
   CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

******************************************************************************
*/

#ifndef	_KGI_SYSTEM_H
#define	_KGI_SYSTEM_H

#include <kgi/debug.h>
#include <kgi/errno.h>
#include <kgi/autoconf.h>


#if KGI_OSTYPE == Linux
#include <kgi/sys/linux.h>
#elif KGI_OSTYPE == OSF1
#include <kgi/sys/osf1.h>
#elif KGI_OSTYPE == LinuxSuid
#include <kgi/sys/linuxsuid.h>
#else
#error Sorry, KGI does not work on this system yet
#endif /* KGI_OSTYPE */

#endif	/* _KGI_SYSTEM_H */
